std::complex< double > Class Reference
Numerics » Complex Numbers

`#include <complex>`

## Public Types

typedef __complex__ double | _ComplexT
typedef double | value_type

## Public Member Functions

constexpr | complex (_ComplexT __z)
constexpr | complex (const complex< float > &__z)
constexpr | complex (const complex< long double > &)
constexpr | complex (double __r=0.0, double __i=0.0)
| __attribute ((__abi_tag__("cxx11"))) const expr double imag() const
| __attribute ((__abi_tag__("cxx11"))) const expr double real() const
constexpr _ComplexT | __rep () const
constexpr void | imag (double __val)
template<typename _Tp>
constexpr complex & | operator*= (const complex< _Tp > &__z)
constexpr complex & | operator*= (double __d)
template<typename _Tp>
constexpr complex & | operator+= (const complex< _Tp > &__z)
constexpr complex & | operator+= (double __d)
template<typename _Tp>
constexpr complex & | operator-= (const complex< _Tp > &__z)
constexpr complex & | operator-= (double __d)
template<typename _Tp>
constexpr complex & | operator/= (const complex< _Tp > &__z)
constexpr complex & | operator/= (double __d)
constexpr complex & | operator= (const complex &)=default
template<typename _Tp>
constexpr complex & | operator= (const complex< _Tp > &__z)
constexpr complex & | operator= (double __d)
constexpr void | real (double __val)

## Detailed Description

26.2.3 complex specializations complex<double> specialization

Definition at line 1229 of file complex.

## Member Typedef Documentation

## _ComplexT

typedef __complex__ double std::complex< double >::_ComplexT

Definition at line 1233 of file complex.

## value_type

typedef double std::complex< double >::value_type

Definition at line 1232 of file complex.

## Constructor & Destructor Documentation

## complex() [1/3]

std::complex< double >::complex | ( | _ComplexT | __z | ) |

inline constexpr

Definition at line 1235 of file complex.

## complex() [2/3]

std::complex< double >::complex | ( | double | __r = 0.0,
|  | double | __i = 0.0 )

inline constexpr

Definition at line 1237 of file complex.

## complex() [3/3]

std::complex< double >::complex | ( | const complex< float > & | __z | ) |

inline constexpr

Definition at line 1247 of file complex.

## Member Function Documentation

## __attribute() [1/2]

std::complex< double >::__attribute | ( | (__abi_tag__("cxx11")) |  | ) | const

inline

Definition at line 1259 of file complex.

## __attribute() [2/2]

std::complex< double >::__attribute | ( | (__abi_tag__("cxx11")) |  | ) | const

inline

Definition at line 1255 of file complex.

## __rep()

_ComplexT std::complex< double >::__rep | ( |  | ) | const

inline constexpr

Definition at line 1366 of file complex.

## imag()

void std::complex< double >::imag | ( | double | __val | ) |

inline constexpr

Definition at line 1282 of file complex.

## operator*=() [1/2]

template<typename _Tp>

complex & std::complex< double >::operator*= | ( | const complex< _Tp > & | __z | ) |

inline constexpr

Definition at line 1350 of file complex.

## operator*=() [2/2]

complex & std::complex< double >::operator*= | ( | double | __d | ) |

inline constexpr

Definition at line 1306 of file complex.

## operator+=() [1/2]

template<typename _Tp>

complex & std::complex< double >::operator+= | ( | const complex< _Tp > & | __z | ) |

inline constexpr

Definition at line 1334 of file complex.

## operator+=() [2/2]

complex & std::complex< double >::operator+= | ( | double | __d | ) |

inline constexpr

Definition at line 1292 of file complex.

## operator-=() [1/2]

template<typename _Tp>

complex & std::complex< double >::operator-= | ( | const complex< _Tp > & | __z | ) |

inline constexpr

Definition at line 1342 of file complex.

## operator-=() [2/2]

complex & std::complex< double >::operator-= | ( | double | __d | ) |

inline constexpr

Definition at line 1299 of file complex.

## operator/=() [1/2]

template<typename _Tp>

complex & std::complex< double >::operator/= | ( | const complex< _Tp > & | __z | ) |

inline constexpr

Definition at line 1359 of file complex.

## operator/=() [2/2]

complex & std::complex< double >::operator/= | ( | double | __d | ) |

inline constexpr

Definition at line 1313 of file complex.

## operator=() [1/2]

template<typename _Tp>

complex & std::complex< double >::operator= | ( | const complex< _Tp > & | __z | ) |

inline constexpr

Definition at line 1326 of file complex.

## operator=() [2/2]

complex & std::complex< double >::operator= | ( | double | __d | ) |

inline constexpr

Definition at line 1285 of file complex.

## real()

void std::complex< double >::real | ( | double | __val | ) |

inline constexpr

Definition at line 1279 of file complex.

The documentation for this class was generated from the following file:

- complex